// ignore_for_file: constant_identifier_names

/*
this is constant pages
 */

import 'package:flutter/material.dart';

const String APP_NAME = 'Mobile DR';

// color for apps
const Color PRIMARY_COLOR = Color(0xff01aed6);
const Color ASSENT_COLOR = Color(0xFFe75f3f);

const Color CHARCOAL = Color(0xFF515151);
const Color BLACK_GREY = Color(0xff777777);
const Color SOFT_GREY = Color(0xFFaaaaaa);
const Color SOFT_BLUE = Color(0xff01aed6);
const Color BLACK21 = Color(0xFF212121);
const Color BLACK55 = Color(0xFF555555);
const Color BLACK77 = Color(0xFF777777);

const int STATUS_OK = 200;
const int STATUS_BAD_REQUEST = 400;
const int STATUS_NOT_AUTHORIZED = 403;
const int STATUS_NOT_FOUND = 404;
const int STATUS_INTERNAL_ERROR = 500;

const String ERROR_OCCURED = 'Error occured, please try again later';

const int LIMIT_PAGE = 8;

const String GLOBAL_URL = 'https://ijtechnology.net/assets/images/api/devkit';
//const String GLOBAL_URL = 'http://192.168.0.4/devkit';
//const String GLOBAL_URL = 'http://192.168.100.9/devkit';

const String LOCAL_IMAGES_URL = 'assets/images';

class ApiConstants {
  static String baseUrl = 'https://mp4.ikksgroup.com';
  static String mobDREndpoint = '/mobdr';
  static String mp4Endpoint = '/MobilePortal4/webresources';
  static String externalEndpoint = '/MobilePortal4_external/webresources';
  static String restEndpoint = '/rest/api';
}

const String LOGIN_API = 'https://mp4.ikksgroup.com' + "/authentication/login";
const String PRODUCT_API = 'https://mp4.ikksgroup.com' + "/example/getProduct";
const String SERVLET_API =
    'https://mp4.ikksgroup.com' + "/MobilePortal4_external/UploadPhotoServlet";
